"""
Makes a dummy post to the test server
"""
import requests
import json
import abp

def test_graph():
    N = 1000
    g = abp.GraphState(range(N), vop="hadamard")
    for i in range(N-1):
        g.act_cz(i, i+1)
    return g

if __name__ == '__main__':
    data = json.dumps(test_graph().to_json())
    r = requests.post("http://localhost:5000/graph", data=data)
    print r.status_code, r.content

